# coding: utf-8
from __future__ import absolute_import
from __future__ import unicode_literals

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import Integer, Unicode


class DOO(ComplexModel):

    __type_name__ = 'item'

    count = Integer

    control_unit = Unicode
    control_unit_id = Integer

    unit_id = Integer
    unit_shortname = Unicode
    unit_name = Unicode

    class Annotations(ComplexModel.Annotations):

        doc = 'Контейнер, содержащий данные учреждений.'


class MO(ComplexModel):
    __type__ = 'mo'

    count = Integer
    unit_id = Integer
    unit_name = Unicode

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий данные МО.'


class Region(ComplexModel):
    __type__ = 'region'

    count = Integer
    units = Array(MO)

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий данные региона.'


class Root(ComplexModel):

    __type_name__ = 'root'

    units = Array(DOO)
    total = Region

    class Annotations(ComplexModel.Annotations):

        doc = 'Контейнер учреждений.'
